Package org.drinkless.tdlib

# Class TdApi.VectorPathCommandCubicBezierCurve

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.VectorPathCommand
org.drinkless.tdlib.TdApi.VectorPathCommandCubicBezierCurve

Enclosing class:
  `TdApi`

public static class TdApi.VectorPathCommandCubicBezierCurve extends TdApi.VectorPathCommand
A cubic Bézier curve to a given point.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.VectorPathCommand

  `TdApi.VectorPathCommand.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Point`
  `endControlPoint`
  The end control point of the curve.
  `TdApi.Point`
  `endPoint`
  The end point of the curve.
  `TdApi.Point`
  `startControlPoint`
  The start control point of the curve.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VectorPathCommandCubicBezierCurve()`
  A cubic Bézier curve to a given point.
  `VectorPathCommandCubicBezierCurve(TdApi.Point startControlPoint, TdApi.Point endControlPoint, TdApi.Point endPoint)`
  A cubic Bézier curve to a given point.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### startControlPoint

    public TdApi.Point startControlPoint
    The start control point of the curve.

  - ### endControlPoint

    public TdApi.Point endControlPoint
    The end control point of the curve.

  - ### endPoint

    public TdApi.Point endPoint
    The end point of the curve.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### VectorPathCommandCubicBezierCurve

    public VectorPathCommandCubicBezierCurve()
    A cubic Bézier curve to a given point.

  - ### VectorPathCommandCubicBezierCurve

    public VectorPathCommandCubicBezierCurve(TdApi.Point startControlPoint, TdApi.Point endControlPoint, TdApi.Point endPoint)
    A cubic Bézier curve to a given point.
    Parameters:
      `startControlPoint` - The start control point of the curve.
      `endControlPoint` - The end control point of the curve.
      `endPoint` - The end point of the curve.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.VectorPathCommand`
    Returns:
      this.CONSTRUCTOR